{
    "header": {
        "version": 1,
        "type": "record",
        "approw-key": "DLL_MSWIN_KERNEL32"
    },
    "body": {
        "record1": {
            "<1>": "KERNEL32",
            "<2>": "* [NS] msWin_,",
            "<3>": "*   Author   : Wile C Coyote - Super Genius",
            "<4>": "*   Date     : 10 Oct 2012",
            "<5>": "*   Purpose  : Revelation DLL prototype record for KERNEL32.DLL",
            "<6>": "*",
            "<7>": "*   Comments",
            "<8>": "*   ========",
            "<9>": "*   ",
            "<10>": "*   ********************************************************************************",
            "<11>": "*   This DLLPROTOTYPE entity is likely to be updated by future OpenInsight upgrades. ",
            "<12>": "*   Please create your own DLLPROTOTYPE entities if you wish to add and amend  ",
            "<13>": "*   KERNEL32 DLL prototype functions for your own application.",
            "<14>": "*   ********************************************************************************",
            "<15>": "*    ",
            "<16>": "*   Amended  Date        Reason",
            "<17>": "*   =======  ====        ======",
            "<18>": "*   Mr C     22 Nov 23   Added FileTimeToSystemTime",
            "<19>": "*   Mr C     07 May 23   Added GetTimeZoneInformation",
            "<20>": "*   Mr C     10 May 23   Added GetVersionExW",
            "<21>": "*   Mr C     24 Apr 23   Added GetCurrentThreadId, TerminateProcess",
            "<22>": "*   Mr C     22 Apr 22   Added GetLongPathName",
            "<23>": "*   Mr C     08 Apr 22   Added GlobalMemoryStatusEx function",
            "<24>": "*   Mr C     13 Jan 22   Added GetDateFormatW and GetTimeFormatW",
            "<25>": "*   Mr C     05 Oct 21   Added GetModuleHandleW",
            "<26>": "*   Mr C     29 Jun 19   Added GetTickCount64",
            "<27>": "*   Mr C     09 Nov 18   Added FindFirstFile and related functions",
            "<28>": "*   Mr C     29 May 18   Added GetTempFileName",
            "<29>": "*   Mr C     24 Apr 18   Added GetWindowsDirectory",
            "<30>": "*   Mr C     16 Feb 17   Added GetVolumeInformationW, ErrorMode functions",
            "<31>": "*                        GetProcAddress",
            "<32>": "*   Mr C     15 Feb 17   Added GetDriveTypeW",
            "<33>": "*   Mr C     09 Feb 17   Added GetLocaleInfo, GetLocaleInfoEx",
            "<34>": "*   Mr C     15 Sep 16   Added SetCurrentDirectory",
            "<35>": "*   Mr C     03 Jul 16   Added GetCommandLine",
            "<36>": "*   Mr C     30 Mar 16   Added Sleep",
            "<37>": "*   Mr C     30 Mar 16   Added GetComputerName, GetTempPath",
            "<38>": "*   Mr C     07 Jan 15   Added GetCurrentProcessID",
            "<39>": "*   Mr C     10 Dec 15   Added GetLogicalDrives",
            "<40>": "*   Mr C     05 Apr 14   Added CreateProcess, OpenProcess, CreatePipe, ReadFile,",
            "<41>": "*                        CloseHandle, GetStdHandle, SetHandleInformation, ",
            "<42>": "*                        WaitForSingleObject",
            "<43>": "HANDLE STDCALL BeginUpdateResourceW(LPWSTR,BOOL) as msWin_BeginUpdateResource",
            "<44>": "BOOL STDCALL CloseHandle(HANDLE) as msWin_CloseHandle",
            "<45>": "INT STDCALL CopyFileW(LPWSTR,LPWSTR,INT) as msWin_CopyFile",
            "<46>": "INT STDCALL CreateDirectoryW(LPWSTR,LPVOID) as msWin_CreateDirectory",
            "<47>": "BOOL STDCALL CreatePipe(PHANDLE,PHANDLE,LPVOID,DWORD) as msWin_CreatePipe",
            "<48>": "BOOL STDCALL CreateProcessW(LPCWSTR,LPWSTR,LPVOID,LPVOID,BOOL,DWORD,LPVOID,LPVOID,LPBINARY,LPBINARY) as msWin_CreateProcess",
            "<49>": "BOOL STDCALL CreateProcessW(LPVOID,LPVOID,LPVOID,LPVOID,BOOL,DWORD,LPVOID,LPVOID,LPBINARY,LPBINARY) as msWin_CreateProcessByPtr",
            "<50>": "BOOL STDCALL EndUpdateResource(HANDLE,BOOL) as msWin_EndUpdateResource",
            "<51>": "BOOL STDCALL FileTimeToSystemTime(LPBINARY,LPBINARY) as msWin_FileTimeToSystemTime",
            "<52>": "LONG STDCALL FindClose(HANDLE) as msWin_FindClose",
            "<53>": "HANDLE STDCALL FindFirstFileW(LPWSTR,LPBINARY) as msWin_FindFirstFile",
            "<54>": "HANDLE STDCALL FindFirstVolumeW(LPWSTR,UINT) as msWin_FindFirstVolume",
            "<55>": "HANDLE STDCALL FindNextFileW(HANDLE,LPBINARY) as msWin_FindNextFile",
            "<56>": "INT STDCALL FindNextVolumeW(HANDLE,LPWSTR,UINT) as msWin_FindNextVolume",
            "<57>": "HRSRC STDCALL FindResourceW(HMODULE,LPWSTR,LPWSTR) as msWin_FindResource",
            "<58>": "HRSRC STDCALL FindResourceW(HMODULE,LPVOID,LPVOID) as msWin_FindResourceByPtr",
            "<59>": "INT STDCALL FindVolumeClose(HANDLE) as msWin_FindVolumeClose",
            "<60>": "INT STDCALL FlushFileBuffers(HANDLE) as msWin_FlushFileBuffers",
            "<61>": "ULONG STDCALL FormatMessageW(ULONG,LPVOID,ULONG,ULONG,LPWSTR,ULONG,LONG) as msWin_FormatMessage",
            "<62>": "INT STDCALL FreeEnvironmentStringsA(VOID) as msWin_FreeEnvironmentStrings",
            "<63>": "BOOL STDCALL FreeLibrary(HMODULE) as msWin_FreeLibrary",
            "<64>": "LPWSTR STDCALL GetCommandLineW(VOID) as msWin_GetCommandLine",
            "<65>": "BOOL STDCALL GetComputerNameW(LPWSTR,LPDWORD) as msWin_GetComputerName",
            "<66>": "DWORD STDCALL GetCurrentProcessId(VOID) as msWin_GetCurrentProcessId",
            "<67>": "DWORD STDCALL GetCurrentThreadId(VOID) as msWin_GetCurrentThreadId",
            "<68>": "INT STDCALL GetDateFormatW(LCID,DWORD,LPCVOID,LPCVOID,LPVOID,INT) as msWin_GetDateFormat",
            "<69>": "UINT STDCALL GetDriveTypeW(LPWSTR) as msWin_GetDriveType",
            "<70>": "LPVOID STDCALL GetEnvironmentStringsA(VOID) as msWin_GetEnvironmentStrings",
            "<71>": "ULONG STDCALL GetEnvironmentVariableW(LPWSTR,LPWSTR,ULONG) as msWin_GetEnvironmentVariable",
            "<72>": "UINT STDCALL GetErrorMode(VOID) as msWin_GetErrorMode",
            "<73>": "BOOL STDCALL GetExitCodeProcess(HANDLE,LPDWORD) as msWin_GetExitCodeProcess",
            "<74>": "ULONG STDCALL GetFileAttributesW(LPWSTR) as msWin_GetFileAttributes",
            "<75>": "ULONG STDCALL GetLastError(VOID) as msWin_GetLastError",
            "<76>": "INT STDCALL GetLocaleInfoEx(LPVOID,DWORD,LPVOID,INT) as msWin_GetLocaleInfoEx",
            "<77>": "INT STDCALL GetLocaleInfoW(DWORD,DWORD,LPVOID,INT) as msWin_GetLocaleInfo",
            "<78>": "DWORD STDCALL GetLogicalDrives(VOID) as msWin_GetLogicalDrives",
            "<79>": "DWORD STDCALL GetLongPathNameW(LPCWSTR,LPWSTR,DWORD) as msWin_GetLongPathName",
            "<80>": "HMODULE STDCALL GetModuleHandleW(LPVOID) as msWin_GetModuleHandleByPtr",
            "<81>": "DWORD STDCALL GetPrivateProfileStringW(LPWSTR,LPWSTR,LPWSTR,LPWSTR,DWORD,LPWSTR) as msWin_GetPrivateProfileString",
            "<82>": "DWORD STDCALL GetPrivateProfileStringW(LPWSTR,LPVOID,LPWSTR,LPWSTR,DWORD,LPWSTR) as msWin_GetPrivateProfileSection",
            "<83>": "LPVOID STDCALL GetProcAddress(HMODULE,LPASTR) as msWin_GetProcAddress",
            "<84>": "DWORD STDCALL GetProfileStringW(LPWSTR,LPWSTR,LPWSTR,LPWSTR,DWORD) as msWin_GetProfileString",
            "<85>": "HANDLE STDCALL GetStdHandle(DWORD) as msWin_GetStdHandle",
            "<86>": "UINT STDCALL GetTempFileNameW(LPWSTR,LPWSTR,UINT,LPWSTR) as msWin_GetTempFileName",
            "<87>": "DWORD STDCALL GetTempPathW(DWORD,LPWSTR) as msWin_GetTempPath",
            "<88>": "DWORD STDCALL GetThreadErrorMode(VOID) as msWin_GetThreadErrorMode",
            "<89>": "DWORD STDCALL GetTickCount(VOID) as msWin_GetTickCount",
            "<90>": "INT64 STDCALL GetTickCount64(VOID) as msWin_GetTickCount64",
            "<91>": "INT STDCALL GetTimeFormatW(LCID,DWORD,LPCVOID,LPCVOID,LPVOID,INT) as msWin_GetTimeFormat",
            "<92>": "DWORD STDCALL GetTimeZoneInformation(LPBINARY) as msWin_GetTimeZoneInformation",
            "<93>": "BOOL STDCALL GetVersionExW(LPBINARY) as msWin_GetVersionEx",
            "<94>": "BOOL STDCALL GetVolumeInformationW(LPVOID,LPWSTR,DWORD,LPDWORD,LPDWORD,LPDWORD,LPWSTR,DWORD) as msWin_GetVolumeInformation",
            "<95>": "UINT STDCALL GetWindowsDirectoryW(LPWSTR,UINT) as msWin_GetWindowsDirectory",
            "<96>": "BOOL STDCALL GlobalMemoryStatusEx(LPBINARY) as msWin_GlobalMemoryStatusEx",
            "<97>": "HMODULE STDCALL LoadLibraryW(LPWSTR) as msWin_LoadLibrary",
            "<98>": "HGLOBAL STDCALL LoadResource(HMODULE,HRSRC) as msWin_LoadResource",
            "<99>": "LPVOID STDCALL LockResource(HGLOBAL) as msWin_LockResource",
            "<100>": "HANDLE STDCALL OpenProcess(DWORD,BOOL,DWORD) as msWin_OpenProcess",
            "<101>": "BOOL STDCALL QueryPerformanceCounter(LPBINARY) as msWin_QueryPerformanceCounter",
            "<102>": "BOOL STDCALL ReadFile(HANDLE,LPBINARY,DWORD,LPDWORD,LPVOID) as msWin_ReadFile",
            "<103>": "BOOL STDCALL SetCurrentDirectoryW(LPWSTR) as msWin_SetCurrentDirectory",
            "<104>": "UINT STDCALL SetErrorMode(UINT) as msWin_SetErrorMode",
            "<105>": "BOOL STDCALL SetHandleInformation(HANDLE,DWORD,DWORD) as msWin_SetHandleInformation",
            "<106>": "DWORD STDCALL SetThreadErrorMode(DWORD) as msWin_SetThreadErrorMode",
            "<107>": "VOID STDCALL Sleep(DWORD) as msWin_Sleep",
            "<108>": "BOOL STDCALL TerminateProcess(HANDLE,UINT) as msWin_TerminateProcess",
            "<109>": "BOOL STDCALL UpdateResourceW(HANDLE,LPWSTR,LPWSTR,WORD,LPVOID,DWORD) as msWin_UpdateResource",
            "<110>": "BOOL STDCALL UpdateResourceW(HANDLE,LPVOID,LPVOID,WORD,LPVOID,DWORD) as msWin_UpdateResourceByPtr",
            "<111>": "DWORD STDCALL WaitForSingleObject(HANDLE,DWORD) as msWin_WaitForSingleObject",
            "<112>": "UINT STDCALL WinExec(LPASTR,UINT) as msWin_WinExec",
            "<113>": "BOOL STDCALL WritePrivateProfileStringW(LPWSTR,LPWSTR,LPWSTR,LPWSTR) as msWin_WritePrivateProfileString",
            "<114>": "BOOL STDCALL WriteProfileStringW(LPWSTR,LPWSTR,LPWSTR) as msWin_WriteProfileString"
        }
    }
}